import isArray_default from "./isArray.js";
import _isKey_default from "./_isKey.js";
import _stringToPath_default from "./_stringToPath.js";
import toString_default from "./toString.js";
function castPath(i, a) {
	return isArray_default(i) ? i : _isKey_default(i, a) ? [i] : _stringToPath_default(toString_default(i));
}
var _castPath_default = castPath;
export { _castPath_default as default };
